std::basic_string_view::begin,std::basic_string_view::cbegin(3)

NAME
std::basic_string_view::begin,std::basic_string_view::cbegin - std::basic_string_view::begin,std::basic_string_view::cbegin

Synopsis
   constexpr const_iterator begin() const noexcept; (since C++17)
   constexpr const_iterator cbegin() const noexcept; (since C++17)
   Returns an iterator to the first character of the view.
   range-begin-end.svg

Parameters
   (none)

Return value
   const_iterator to the first character

Complexity
   Constant

Example
// Run this code
 #include <iostream>
 #include <string_view>
 #include <type_traits>
 int main()
 {
     std::string_view str_view("abcd");
     auto begin = str_view.begin();
     auto cbegin = str_view.cbegin();
     std::cout << *begin << '\n';
     std::cout << *cbegin << '\n';
     std::cout << std::boolalpha << (begin == cbegin) << '\n';
     std::cout << std::boolalpha << (*begin == *cbegin) << '\n';
     static_assert(std::is_same<decltype(begin), decltype(cbegin)>{});
 }

Output:
 a
 a
 true
 true

See also
   end returns an iterator to the end
   cend (public member function)
   (C++17)
   begin returns an iterator to the beginning
   cbegin (public member function of std::basic_string<CharT,Traits,Allocator>)
   (C++11)